--【导例4.18】判断某一字符串是否为正确格式的日期/数值。

declare @s1 char(10), @s2 char(6)
declare @入学日期 datetime, @体重 decimal(5,1)

set @s1 = '2007.02.29'
set @s2 = '82.5kg'

if isdate(@s1) = 1    -- 判断正确日期
  set @入学日期 = @s1
else 
  print '入学日期 数据错误!'

if isnumeric(@s2) = 1 -- 判断正确数值
  set @体重  = @s2
else 
  print '体重 数据错误!'

--【思考】将s1、s2赋值语句修改什么样的数值就不会显示错误提示。